xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | not portable
Stability | unstable
Maintainer | Justin Bogner <mail@justinbogner.com>
Safe Haskell | None

XMonad.Hooks.Minimize

Contents

- Usage

Description

Handles window manager hints to minimize and restore windows. Use this with XMonad.Layout.Minimize.

Synopsis

- minimizeEventHook :: Event -> X All

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Hooks.Minimize
     import XMonad.Layout.Minimize

     myHandleEventHook = minimizeEventHook
     myLayout = minimize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout
                                 , handleEventHook = myHandleEventHook }

minimizeEventHook :: Event -> X All